ServerEvents.recipes(event => {
    let makeJuice = (juice, fluid, fruit, seeds) => {
        event.recipes.thermal.bottler(`vinery:${juice}`, [Fluid.of(`doaddonfluids:${fluid}`, 250), 'vinery:wine_bottle']);
        event.recipes.thermal.centrifuge([Fluid.of(`doaddonfluids:${fluid}`, 250), 'vinery:wine_bottle'], `vinery:${juice}`);
        event.recipes.thermal.centrifuge([Fluid.of(`doaddonfluids:${fluid}`, 250), `3x vinery:${seeds}`], `3x vinery:${fruit}`);
    };
    let _color = ['red', 'white'].forEach(color => {
        makeJuice(`${color}_grapejuice`, `${color}_grapejuice`, `${color}_grape`, `${color}_grape_seeds`);
        let _v = ['jungle', 'savanna', 'taiga'].forEach(variety => {
            makeJuice(`${color}_${variety}_grapejuice`, `${variety}_${color}_grapejuice`, `${variety}_grapes_${color}`, `${variety}_grape_seeds_${color}`);
        })
    });
    let _nv = ['crimson', 'warped'].forEach(variety => {
        makeJuice(`${variety}_grapejuice`, `${variety}_grape`, `${variety}_grape_seeds`);
    });
});